Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
Name:           perl-File-ExtAttr
Version:        1.09
Release:        alt5_21
Summary:        Perl extension for accessing extended attributes of files
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/File-ExtAttr/
Source0:        http://www.cpan.org/authors/id/R/RI/RICHDAWE/File-ExtAttr-%{version}.tar.gz

BuildRequires:  findutils
BuildRequires:  gcc
BuildRequires:  perl
BuildRequires:  perl-devel
BuildRequires:  perl(Config.pm)
BuildRequires:  perl(Cwd.pm)
BuildRequires:  perl(Exporter.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(File/Spec.pm)
BuildRequires:  perl(File/Temp.pm)
BuildRequires:  perl(IO/File.pm)
BuildRequires:  perl(lib.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(vars.pm)
# Run-time
%{?_with_network_tests:
BuildRequires:  perl(AutoLoader.pm)
BuildRequires:  perl(base.pm)
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(Scalar/Util.pm)
BuildRequires:  perl(Tie/Hash.pm)
BuildRequires:  perl(warnings.pm)
BuildRequires:  perl(XSLoader.pm)
# Tests
BuildRequires:  perl(Data/Dumper.pm)
BuildRequires:  perl(Errno.pm)
BuildRequires:  perl(File/Path.pm)
BuildRequires:  perl(File/Find/Rule.pm)
BuildRequires:  perl(Module/CoreList.pm)
BuildRequires:  perl(Test/Distribution.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/Pod/Coverage.pm)
}
# this is odd, I know, but while the module requires libattr-devel to build,
# it will end up not requiring libattr.so*.  This is expected.
BuildRequires: libattr-devel
Source44: import.info


%description
File::ExtAttr is a Perl module providing access to the extended
attributes of files.

%prep
%setup -q -n File-ExtAttr-%{version}

%build
perl Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor optimize="%{optflags}" NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name '*.bs' -size 0 -delete
# %{_fixperms} %{buildroot}/*

%check
# NOTE:  these are noisy; as near as I can tell this is expected
# NOTE2: if you're testing on a filesystem that does not support extended
#        attributes, in all likelyhood the tests will fail.  If anyone has 
#        a quick&easy non-priv'ed way to test for this, I'll be more than 
#        happy to include it.
# NOTE3: Tests disabled for now, pending a way to detect & disable on non-ea 
#        enabled filesystems
%{?_with_network_tests: make test}


%files
%doc Changes README TODO
%{perl_vendor_archlib}/auto/*
%{perl_vendor_archlib}/File*

%changelog
* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 1.09-alt5_21
- update to new release by fcimport

* Fri Nov 27 2015 Cronbuild Service <cronbuild@altlinux.org> 1.09-alt5_19
- rebuild to get rid of unmets

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 1.09-alt4_19
- update to new release by fcimport

* Sat Dec 13 2014 Cronbuild Service <cronbuild@altlinux.org> 1.09-alt4_17
- rebuild to get rid of unmets

* Tue Sep 16 2014 Igor Vlasenko <viy@altlinux.ru> 1.09-alt3_17
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 1.09-alt3_16
- update to new release by fcimport

* Tue Jul 01 2014 Igor Vlasenko <viy@altlinux.ru> 1.09-alt3_15
- update to new release by fcimport

* Thu Sep 05 2013 Cronbuild Service <cronbuild@altlinux.org> 1.09-alt3_14
- rebuild to get rid of unmets

* Tue Aug 27 2013 Igor Vlasenko <viy@altlinux.ru> 1.09-alt2_14
- update to new release by fcimport

* Mon Aug 05 2013 Igor Vlasenko <viy@altlinux.ru> 1.09-alt2_13
- update to new release by fcimport

* Wed Feb 27 2013 Igor Vlasenko <viy@altlinux.ru> 1.09-alt2_12
- update to new release by fcimport

* Mon Sep 10 2012 Cronbuild Service <cronbuild@altlinux.org> 1.09-alt2_11
- rebuild with new perl

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 1.09-alt1_11
- update to new release by fcimport

* Wed May 23 2012 Igor Vlasenko <viy@altlinux.ru> 1.09-alt1_9
- fc import

